org.apache.solr.client.solrj.response

## Class DelegationTokenResponse.JsonMapResponseParser

- java.lang.Object
- - org.apache.solr.client.solrj.ResponseParser
  - - org.apache.solr.client.solrj.response.DelegationTokenResponse.JsonMapResponseParser

Enclosing class:
  DelegationTokenResponse

    public static class DelegationTokenResponse.JsonMapResponseParser
    extends ResponseParser

ResponseParser for JsonMaps. Used for Get and Renew DelegationToken responses.

### Constructor Summary

Constructors
Constructor and Description
`JsonMapResponseParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getContentType()` A well behaved ResponseParser will return its content-type.
`String` `getVersion()`
`String` `getWriterType()`
`NamedList<Object>` `processResponse(InputStream body, String encoding)`
`NamedList<Object>` `processResponse(Reader reader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsonMapResponseParser

    public JsonMapResponseParser()

### Method Detail

#### getWriterType

    public String getWriterType()

Specified by:
  `getWriterType` in class `ResponseParser`

#### processResponse

    public NamedList<Object> processResponse(InputStream body,
                                             String encoding)

Specified by:
  `processResponse` in class `ResponseParser`

#### processResponse

    public NamedList<Object> processResponse(Reader reader)

Specified by:
  `processResponse` in class `ResponseParser`

#### getContentType

    public String getContentType()

Description copied from class: `ResponseParser`
A well behaved ResponseParser will return its content-type.

Overrides:
  `getContentType` in class `ResponseParser`
Returns:
  the content-type this parser expects to parse

#### getVersion

    public String getVersion()

Overrides:
  `getVersion` in class `ResponseParser`
Returns:
  the version param passed to solr